# flatpak config

flatpak

Developer
Alexander
Larsson
alexl@redhat.com
flatpak config
1

# flatpak-config

Manage configuration

                    flatpak config
                    OPTION

                    flatpak config
                    OPTION
                    --set
                    KEY
                    VALUE

                    flatpak config
                    OPTION
                    --unset|--get
                    KEY

## Description

The flatpak config command shows or modifies the configuration of a flatpak installation. The following keys are supported:

`languages`

  The languages that are included when installing Locale extensions. The value is a semicolon-separated list of two-letter language codes, or one of the special values `*` or `all`. If this key is unset, flatpak defaults to including the `extra-languages` key and the current locale.

`extra-languages`

  This key is used when languages is not set, and it defines extra locale extensions on top of the system configured languages. The value is a semicolon-separated list of locale identifiers (language, optional locale, optional codeset, optional modifier) as documented by setlocale 3 (for example, `en;en_DK;zh_HK.big5hkscs;uz_UZ.utf8@cyrillic`).

For configuration of individual remotes, see flatpak-remote-modify 1. For configuration of individual applications, see flatpak-override 1.

## Options

The following options are understood:

`-h`
`--help`

  Show help options and exit.

`--list`

  Print all keys and their values.

`--set`

  Set key KEY to VALUE.

`--unset`

  Unset key KEY.

`--get`

  Print value of KEY.

`-u`
`--user`

  Configure per-user installation.

`--system`

  Configure system-wide installation.

`--installation=NAME`

  Configure the system-wide installation specified by NAME among those defined in `/etc/flatpak/installations.d/`. Using `--installation=default` is equivalent to using `--system`.

`-v`
`--verbose`

  Print debug information during command processing.

`--ostree-verbose`

  Print OSTree debug information during command processing.

## Examples

`$ flatpak config --set languages "sv;en;fi"`

## See also

flatpak 1, flatpak-remote-modify 1, flatpak-override 1